LWP_PERROR(3L)

NAME
lwp_geterr, lwp_perror, lwp_errstr - LWP error handling

SYNOPSIS
#include <lwp/lwp.h>
#include <lwp/lwperror.h>

lwp_err_t lwp_geterr();

void
lwp_perror(s)
char *s;

char **lwp_errstr();

DESCRIPTION

When a primitive fails (returns -1), lwp_geterr() can be used to obtain the identity of the error (which is part of the context for each lwp). lwp_perror() can be used to print an error message on the standard error file (analogous to perror(3)) when a lwp primitive returns an error indication. lwp_perror() uses the same mechanism as lwp_geterr() to obtain the last error. lwp_errstr returns a pointer to the (NULL-terminated) list of error messages.

lwp_libcset (see lwp_ctxinit(3L)) allows errno from the standard C library reflect a per-thread value rather than a per-pod value.

SEE ALSO
lwp_ctxinit(3L), perror(3)